# IKVM.NET Stub Generator (ikvmstub.exe)

The ikvmstub tool generates Java stubs from .NET assemblies.

- Usage
- Notes
- Examples

### Usage

ikvmstub assemblyNameOrPath

assemblyNameOrPath
  Name of an assembly. May be a fully-qualified path.

### Notes

ikvmstub reads the specified assembly and generates a Java jar file containing Java interfaces and stub classes. For more information about the generated stubs, see the Developer's Guide.

The tool uses the following algorithm to locate the assembly:

1. First it attempts to load the assembly from the default load context of ikvmstub.exe. For practical purposes, this usually means it searches the Global Assembly Cache.
2. If not found in the default load context, ikvmstub looks for the assembly at the indicated path (or the current directory, if no path is supplied).

### Examples

ikvmstub mscorlib.dll

Generates mscorlib.jar, containing stubs for classes, interfaces, etc., defined in mscorlib.dll.

ikvmstub c:\lib\mylib.dll

Generates mylib.jar, containing stubs for classes, interfaces, etc., defined in c:\lib\mylib.dll.

Send feedback about this page to webmaster@ikvm.net Copyright © 2008 Jeroen Frijters All rights reserved.